Debian Bug report logs - #530194
steam: bashism in /bin/sh script

version graph

Package: steam; Maintainer for steam is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>; Source for steam is src:steam.

Reported by: Raphael Geissert <atomo64@gmail.com>

Date: Sat, 23 May 2009 07:24:23 UTC

Severity: important

Found in versions steam/2.2.31-4.3, steam/2.2.31-5

Fixed in version steam/2.2.31-6

Done: Neutron Soutmun <neo.neutron@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Alain Schroeder <alain@debian.org>:
Bug#530194; Package steam. (Sat, 23 May 2009 07:24:25 GMT) Full text and rfc822 format available.

Message #3 received at maintonly@bugs.debian.org (full text, mbox):

From: Raphael Geissert <atomo64@gmail.com>
To: maintonly@bugs.debian.org
Subject: steam: bashism in /bin/sh script
Date: Sat, 23 May 2009 02:15:22 -0500
Package: steam
Severity: important
Version: 2.2.31-4.3
User: debian-release@lists.debian.org
Usertags: goal-dash

Hello maintainer,

While performing an archive wide checkbashisms (from the 'devscripts' package)
check I've found your package containing a /bin/sh script making use
of a bashism.

checkbashisms' output:
> possible bashism in ./usr/share/steam/stop line 6 (should be 'b = a'):
>	  [ "$tmp_option" == "--force" ] && cat_func='cat'


Not using bash (or a Debian Policy conformant shell interpreter which doesn't
provide such an extra feature) as /bin/sh is likely to lead to errors or
unexpected behaviours.
Please be aware that although bash is currently the default /bin/sh there was
a release goal for Lenny to make dash the default /bin/sh[1], and has been
proposed for squeeze as well[2].

If you want more information about dash as /bin/sh, you can read:
http://lists.debian.org/debian-release/2008/01/msg00189.html

For more information supporting this goal please refer to Debian Policy,
section 10.4, at:
http://www.debian.org/doc/debian-policy/ch-files.html#s-scripts

Hints about how to fix bashisms:
Sometimes these bugs are already fixed in Ubuntu, look at the PTS.
If not already fixed you can read:
https://wiki.ubuntu.com/DashAsBinSh

If you still don't know how to fix the bashisms don't hesitate to reply to
this email, or tag the bug as 'help'.

[1]http://release.debian.org/lenny/goals.txt
[2]http://lists.debian.org/debian-release/2009/04/msg00133.html

Thank you,
Raphael Geissert




Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#530194; Package steam. (Tue, 16 Mar 2010 03:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neutron Soutmun <neo.neutron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Tue, 16 Mar 2010 03:12:03 GMT) Full text and rfc822 format available.

Message #8 received at 530194@bugs.debian.org (full text, mbox):

From: Neutron Soutmun <neo.neutron@gmail.com>
To: Debian Bug Tracking System <530194@bugs.debian.org>
Subject: Re: bashism in /bin/sh script
Date: Tue, 16 Mar 2010 10:09:08 +0700
[Message part 1 (text/plain, inline)]
Package: steam
Version: 2.2.31-5
Severity: normal
Tags: patch

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Fix remaining bashism which applied by
debian/patches/dont-loose-data-on-shutdown.dpatch.

Patch is attached.

Cheers,
Neutron Soutmun

- -- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=th_TH.UTF-8, LC_CTYPE=th_TH.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkue9k8ACgkQ1k7Ar9TO/TdhKwCgs8epIKYoBVwGT6jYufqQklPa
bicAoINfhIZh9lg7GdYICVkfOp+qL7N2
=9e8W
-----END PGP SIGNATURE-----
[steam-bashism.patch (text/x-diff, attachment)]

Reply sent to Neutron Soutmun <neo.neutron@gmail.com>:
You have taken responsibility. (Tue, 16 Mar 2010 04:21:05 GMT) Full text and rfc822 format available.

Notification sent to Raphael Geissert <atomo64@gmail.com>:
Bug acknowledged by developer. (Tue, 16 Mar 2010 04:21:05 GMT) Full text and rfc822 format available.

Message #13 received at 530194-close@bugs.debian.org (full text, mbox):

From: Neutron Soutmun <neo.neutron@gmail.com>
To: 530194-close@bugs.debian.org
Subject: Bug#530194: fixed in steam 2.2.31-6
Date: Tue, 16 Mar 2010 04:17:29 +0000
Source: steam
Source-Version: 2.2.31-6

We believe that the bug you reported is fixed in the latest version of
steam, which is due to be installed in the Debian FTP archive:

steam-lib_2.2.31-6_amd64.deb
  to main/s/steam/steam-lib_2.2.31-6_amd64.deb
steam_2.2.31-6.diff.gz
  to main/s/steam/steam_2.2.31-6.diff.gz
steam_2.2.31-6.dsc
  to main/s/steam/steam_2.2.31-6.dsc
steam_2.2.31-6_all.deb
  to main/s/steam/steam_2.2.31-6_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 530194@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Neutron Soutmun <neo.neutron@gmail.com> (supplier of updated steam package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 16 Mar 2010 09:44:30 +0700
Source: steam
Binary: steam steam-lib
Architecture: source all amd64
Version: 2.2.31-6
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Neutron Soutmun <neo.neutron@gmail.com>
Description: 
 steam      - Environment for cooperative knowledge management
 steam-lib  - Environment for cooperative knowledge management (libs)
Closes: 530194
Changes: 
 steam (2.2.31-6) unstable; urgency=low
 .
   * QA upload.
   * Fix bashisms (Closes: #530194).
Checksums-Sha1: 
 a12a72d90c13d98a29957bb84a4a7e35d5239aa0 1073 steam_2.2.31-6.dsc
 f905423b3679b26388bf8e435204da54ce8d2be2 174484 steam_2.2.31-6.diff.gz
 b49784b459c975c2377f58870a8d77e5a68b9095 653134 steam_2.2.31-6_all.deb
 a6a61d7fcbf9edc8fb0519f82a83db9a4f00e621 78744 steam-lib_2.2.31-6_amd64.deb
Checksums-Sha256: 
 b0c2ed1d62b54c56da2c1053c4652bee9333650ac9b08720970b29ace1641a1c 1073 steam_2.2.31-6.dsc
 5cd56177900f97eda841b9ea19ae1ff37cc054bb807e2a4bd9649c77e127d1ac 174484 steam_2.2.31-6.diff.gz
 61ae106e431a06b11fc38810e90455ce1ede3fa6c5c9368c3b81ef2b034ef390 653134 steam_2.2.31-6_all.deb
 0d2e8c0358b535bdb6d15f28241b97cbad9e168e84bb54b04bbbfb76c27429c9 78744 steam-lib_2.2.31-6_amd64.deb
Files: 
 83185bcf6d5aec3d9f567235ae747203 1073 misc optional steam_2.2.31-6.dsc
 ce8eb593ff2e140ba394e869835b8393 174484 misc optional steam_2.2.31-6.diff.gz
 7b5c1a62ce4750281b426496260043d7 653134 misc optional steam_2.2.31-6_all.deb
 b7ab1bf5e00ca668600bd13dd3dafce7 78744 libs optional steam-lib_2.2.31-6_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkufBTQACgkQ5Sc9mGvjxCNKmACfTqqmcjwnE4CVuExAFLZBlylo
WjAAoIvpDW6p/vypfnsJwmv2IaJEc5mS
=GXQR
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 03 Jun 2010 07:40:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:22:42 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.